Package org.apache.solr.client.solrj.impl

## Class Http2SolrClient.OutStream

- java.lang.Object
- - org.apache.solr.client.solrj.impl.Http2SolrClient.OutStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

Enclosing class:
  Http2SolrClient

    public static class Http2SolrClient.OutStream
    extends Object
    implements Closeable

### Constructor Summary

Constructors
`OutStream​(String origCollection, ModifiableSolrParams origParams, org.eclipse.jetty.client.util.OutputStreamContentProvider outProvider, org.eclipse.jetty.client.util.InputStreamResponseListener responseListener, boolean isXml)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `flush()`
`org.eclipse.jetty.client.util.InputStreamResponseListener` `getResponseListener()`
`void` `write​(byte[] b)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OutStream

    public OutStream​(String origCollection,
                     ModifiableSolrParams origParams,
                     org.eclipse.jetty.client.util.OutputStreamContentProvider outProvider,
                     org.eclipse.jetty.client.util.InputStreamResponseListener responseListener,
                     boolean isXml)

### Method Detail

#### write

    public void write​(byte[] b)
               throws IOException

Throws:
  `IOException`

#### flush

    public void flush()
               throws IOException

Throws:
  `IOException`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Throws:
  `IOException`

#### getResponseListener

    public org.eclipse.jetty.client.util.InputStreamResponseListener getResponseListener()